Nifty API v1.0
stringstringstringstring · date-timestring · date-timestringstringstring · enum
string · requiredstring · requiredstringstringstring
Time Tracking
Time records logged against tasks.
Get Tracked Time Report
GET
https://openapi.niftypm.com
/api/v1.0/time
Bearer (JWT)
This endpoint fetch the tracked time report information based on provided criteria.
query Parameters
project_idProject ID
task_idTask ID
member_idMember ID
start_dateStart Date
end_dateEnd Date
limitPage size. Defaults to 25; the maximum is 1000 — larger values are reduced to 1000, and 0 means 100. Page on with offset; a page shorter than limit is the last one.
Example: 25
Default: 25
offsetOffset
typeType
Enum values:
running
all
Get Tracked Time Report › Responses
Success Response
No data returned
Get Tracked Time Duration
GET
https://openapi.niftypm.com
/api/v1.0/time/duration
Bearer (JWT)
This endpoint fetch the tracked time duration information based on provided criteria.
query Parameters
startStart Date
endEnd Date
project_idProject ID
task_idTask ID
user_idUser ID
Get Tracked Time Duration › Responses
Success Response
No data returned
Was this page helpful?